Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Brian Leung <[email-masked]>
Date: Mon, 19 Jul 2021 16:51:45 +0200 (CEST)

> But I don't quite understand why gud-repeat-map is populated in the
> normal way -- i.e., in `gud-repeat-map' so that users can
> redefine/override entries as usual.

I think it is presently done this way because things like M-x gdb, M-x pdb, etc. all use their own debugger commands, so we need to re-bind exactly the right ones each time. For example, in M-x perldb, gud-finish, gud-up, and gud-down are all commented out even though gdb clearly supports those functions.

> ----------------------------------------
> From: Lars Ingebrigtsen <[email-masked]>
> Sent: Mon Jul 19 15:06:31 CEST 2021
> To: Brian Leung <[email-masked]>
> Cc: <[email-masked]>, Juri Linkov <[email-masked]>
> Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map
> 
> 
> Brian Leung <[email-masked]> writes:
> 
> > * lisp/progmodes/gdb-mi.el (gdb): Populate gud-repeat-map. This is
> > copied from the gud-gdb command.
> 
> Instead of copying the code, perhaps it should be separated out into its
> own function and then called from both places?
> 
> But I don't quite understand why gud-repeat-map is populated in the
> normal way -- i.e., in `gud-repeat-map' so that users can
> redefine/override entries as usual.
> 
> Juri?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Sent with https://mailfence.com
Secure and private email

-- 
Mailfence.com
Private and secure email